Bug 210110 - cad/qcad remove wrongly used PLIST_SUB from pkg-plist
Summary: cad/qcad remove wrongly used PLIST_SUB from pkg-plist
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Reifenberger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-07 17:28 UTC by Tobias Berner
Modified: 2016-06-12 10:05 UTC (History)
2 users (show)

See Also:
mr: maintainer-feedback+


Attachments
s#%%QT_BINDIR%%#bin#g (316 bytes, patch)
2016-06-07 17:28 UTC, Tobias Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Berner 2016-06-07 17:28:22 UTC
Created attachment 171165 [details]
s#%%QT_BINDIR%%#bin#g

cad/qcad uses the substitution %%QT_BINDIR%% [=relative path to Qt binaries] by mistake.
The attached patch replaces this everywhere by "bin"
Comment 1 commit-hook freebsd_committer 2016-06-09 09:25:30 UTC
A commit references this bug:

Author: mr
Date: Thu Jun  9 09:24:32 UTC 2016
New revision: 416586
URL: https://svnweb.freebsd.org/changeset/ports/416586

Log:
  - Delete the usage of %%QT_BINDIR%% in pkg-plist (NB.: %%QT_BINDIR%% is still generated by `make makeplist`)
  - While there update to 3.15.2.0

  PR:		210110

Changes:
  head/cad/qcad/Makefile
  head/cad/qcad/distinfo
  head/cad/qcad/files/patch-src_entity_entity.pro
  head/cad/qcad/pkg-plist
Comment 2 Michael Reifenberger freebsd_committer 2016-06-09 09:38:10 UTC
Hi,
I've commited the requested changes.

Since usually I generate the PLIST using `make makeplist`, could someone
please fix the generation of '%%QT_BINDIR%%' there?

As it seems there is a function which replaces all occurrences of 'bin'
by '%%QT_BINDIR%%'...

Thanks!
---
mike
Comment 3 Mathieu Arnold freebsd_committer 2016-06-09 13:47:09 UTC
You do know that make makeplist generate a plist that starts with:

/you/have/to/check/what/makeplist/gives/you

Which means, YOU HAVE TO CHECK WHAT MAKE MAKEPLIST GIVES YOU.  Does it work better in caps ?
Comment 4 Michael Reifenberger freebsd_committer 2016-06-09 15:43:28 UTC
Hi,

My main question is: 
Does it make still sense for `make makeplist` to replace all 'bin' with '%%QT_BINDIR%%' or should it be changed to avoid that?

BTW: What triggers the replacement? (USE_QT4?)

Greetings
---
mike
Comment 5 Mathieu Arnold freebsd_committer 2016-06-09 20:01:50 UTC
No, it makes no sense at all, I agree, it'll also replace lib with %%QT_LIBDIR%%.  It comes from QT, yes, I've had a look at it the other day, and I could not really understand why it is being silly.
Comment 6 Kurt Jaeger freebsd_committer 2016-06-12 10:02:39 UTC
The patch is committed. The change of make makeplist should be a separate PR.
Comment 7 Kurt Jaeger freebsd_committer 2016-06-12 10:05:43 UTC
For the make makeplist PR:

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=210227